package com.heyu.api.data.dao.vv;
/**
* <p>
* 卖家表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/
import com.heyu.api.data.entity.vv.VvSellerEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvSellerDao extends BaseMapper<VvSellerEntity> {


	VvSellerEntity selectVvSellerById(@Param("id")Long id);


	Long insertVvSeller(VvSellerEntity vvSeller);


	Long insertOrUpdateVvSeller(VvSellerEntity vvSeller);


	int updateVvSellerById(VvSellerEntity vvSeller);


	int updateCoverVvSellerById(VvSellerEntity vvSeller);


	int deleteVvSellerById(@Param("id")Long id);


}